- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# zabbix_host_info – Gather information about Zabbix host

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module allows you to search for Zabbix host entries.

- This module was called `zabbix_host_facts` before Ansible 2.9. The usage did not change.

Aliases: zabbix_host_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- zabbix-api >= 0.5.4

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
exact_match boolean | Choices: no ← yes | Find the exact match
host_inventory list / elements=string added in 2.8 |  | List of host inventory keys to display in result. Whole host inventory is retrieved if keys are not specified.
host_ip list / elements=string |  | Host interface IP of the host in Zabbix. Required when host_name is not used.
host_name string |  | Name of the host in Zabbix. host_name is the unique identifier used and cannot be updated using this module. Required when host_ip is not used.
http_login_password string |  | Basic Auth password
http_login_user string / required |  | Basic Auth login
login_password string / required |  | Zabbix user password.
login_user string / required |  | Zabbix user name.
remove_duplicate boolean | Choices: no yes ← | Remove duplicate host from host result
server_url string / required |  | URL of Zabbix server, with protocol (http or https). `url` is an alias for `server_url`. aliases: url
timeout integer | Default: 10 | The timeout of API request (seconds).
validate_certs boolean added in 2.5 | Choices: no yes ← | If set to False, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Notes

Note

- If you use login_password=zabbix, the word “zabbix” is replaced by “****” in all module output, because login_password uses `no_log`. See this FAQ for more information.

## Examples

    - name: Get host info
      local_action:
        module: zabbix_host_info
        server_url: http://monitor.example.com
        login_user: username
        login_password: password
        host_name: ExampleHost
        host_ip: 127.0.0.1
        timeout: 10
        exact_match: no
        remove_duplicate: yes

    - name: Reduce host inventory information to provided keys
      local_action:
        module: zabbix_host_info
        server_url: http://monitor.example.com
        login_user: username
        login_password: password
        host_name: ExampleHost
        host_inventory:
          - os
          - tag
        host_ip: 127.0.0.1
        timeout: 10
        exact_match: no
        remove_duplicate: yes

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hosts dictionary | success | List of Zabbix hosts. See https://www.zabbix.com/documentation/3.4/manual/api/reference/host/get for list of host values. Sample: [{'available': '1', 'description': '', 'disable_until': '0', 'error': '', 'flags': '0', 'groups': ['1'], 'host': 'Host A', '...': None}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Michael Miko (@RedWhiteMiko)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.